Bug Hunting Session
Bug 105965 - UI request to synchronize 'File > Print' and 'File > 'Export as PDF' default behavior
Summary: UI request to synchronize 'File > Print' and 'File > 'Export as PDF' default ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.1.0
Keywords: difficultyInteresting, easyHack, skillCpp, skillUI
Depends on:
Blocks:
 
Reported: 2017-02-12 19:55 UTC by brucehohl
Modified: 2018-09-27 23:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brucehohl 2017-02-12 19:55:29 UTC
In LO Writer the "File > Print" default is "Y = All Pages" and the "File > Export" default is "Y = All".  So the user gets the SAME default output for printing or PDF creation.

In LO Calc the "File > Print" default is "Y = Selected Sheets" and the "File > Export as PDF" default is "Y = All".  So in Calc the user gets DIFFERENT default output for printing versus PDF creation.

This inconsistency (and annoyance) could be resolved if for Calc the "File > Export as PDF" default were changed to "Y = Selection".  This is the change requested here.

Additional note 1:
IMHO the default for a spreadsheet should be 'selection' not 'all' because spreadsheets can easily contain hundreds of pages of data that would never be printed or exported to PDF.

Additional note 2:
It would be even nicer if Calc's "File > Export as PDF" options were the same as Calc's "File > Print" options which are: All sheets, Selected sheets, Selected cells, All pages, and Pages.
Comment 1 Cor Nouws 2017-02-12 20:23:01 UTC
thanks
Comment 2 Heiko Tietze 2017-02-12 21:01:20 UTC
Sounds reasonable. Although if 'selection' is enabled automatically in Word for some reasons, the similar behavior in Calc would be to print/export the active/selected sheet.

Guess switching from All to Selection is an easyhack.

Additional note 3: Selection is not clear enough as it could mixed up with 'Format > Print ranges'. Better call this option 'Selected pages'.
Comment 3 Cor Nouws 2017-02-12 22:07:13 UTC
No need for additional code pointers
Comment 4 Cor Nouws 2017-02-12 22:11:39 UTC
(In reply to Heiko Tietze from comment #2)

> Additional note 3: Selection is not clear enough as it could mixed up with
> 'Format > Print ranges'. Better call this option 'Selected pages'.

Bug 90436 is about the change from Selection to "Selection/Selected sheets"
(partial done)
Comment 5 jani 2017-02-13 07:19:02 UTC
Code pointers missing, skill<foo>, difficulty<foo>
Comment 6 Katarina Behrens (CIB) 2017-02-13 11:35:40 UTC
> Code pointers missing, skill<foo>, difficulty<foo>

CorNouws doesn't need core pointers, he knows what he's doing
Comment 7 Cor Nouws 2017-02-13 12:42:27 UTC Comment hidden (no-value)
Comment 8 jani 2017-05-14 07:43:18 UTC Comment hidden (obsolete)
Comment 9 Cor Nouws 2017-05-14 08:26:09 UTC Comment hidden (no-value)
Comment 10 Xisco Faulí 2017-06-14 02:22:40 UTC Comment hidden (obsolete)
Comment 11 Cor Nouws 2017-06-14 13:13:23 UTC Comment hidden (no-value)
Comment 12 Xisco Faulí 2017-07-15 02:31:36 UTC Comment hidden (obsolete)
Comment 13 Xisco Faulí 2017-08-15 02:23:56 UTC Comment hidden (obsolete)
Comment 14 Xisco Faulí 2017-09-15 15:27:55 UTC Comment hidden (obsolete)
Comment 15 Xisco Faulí 2017-09-16 02:04:39 UTC Comment hidden (obsolete)
Comment 16 Xisco Faulí 2017-09-17 02:04:45 UTC Comment hidden (no-value)
Comment 17 Commit Notification 2018-04-04 06:28:35 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92e566bce63e76c5c49744866b81976521ae0bda

tdf#105965 Make Selection the default PDF export range setting

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Cor Nouws 2018-09-27 23:04:52 UTC
is ok in Version: 6.2.0.0.alpha0+
Build ID: a39166b98580c0b0f7af6830745962d17adef578
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-26_06:35:54
Locale: nl-NL (nl_NL.UTF-8); Calc: threaded